operations/software/tools-webservice (and operations/software/tools-manifest?) do not run Debian tests
Closed, ResolvedPublic

Description

operations/software/tools-webservice is a Debian package and https://gerrit.wikimedia.org/r/#/c/334978/1 should have triggered Jenkins to run the tests (IIRC debian-glue?). The same probably applies to operations/software/tools-manifest.

scfc created this task.Jan 30 2017, 6:03 PM
Restricted Application added a project: Labs. · View Herald TranscriptJan 30 2017, 6:03 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

I wasn't whitelisted at the time for CI, but now I am :) One test was triggered, tox-jessie, but not debian-glue.

Change 335662 had a related patch set uploaded (by Hashar):
[tools-webservice] add non voting debian-glue

https://gerrit.wikimedia.org/r/335662

Change 335662 merged by jenkins-bot:
[tools-webservice] add non voting debian-glue

https://gerrit.wikimedia.org/r/335662

hashar added a subscriber: hashar.Feb 2 2017, 4:06 PM

I have added a non voting job to build the package. Unfortunately it fails :( https://integration.wikimedia.org/ci/job/debian-glue-non-voting/612/

00:00:14.163 I: pbuilder: network access will be disabled during build
00:00:14.166 I: Current time: Thu Feb  2 16:05:30 UTC 2017
00:00:14.168 I: pbuilder-time-stamp: 1486051530
00:00:14.168 I: copying local configuration
00:00:14.171 cp: cannot create regular file '/srv/pbuilder/build/cow.16725/etc/hosts': No such file or directory

Not sure why.

Mentioned in SAL (#wikimedia-releng) [2017-02-02T16:17:28Z] <hashar> integration-slave-jessie-1001 wiping /srv/pbuilder/base-trusty-i386.cow/ it was not properly provisioned causing build to fail (eg lack of /etc/hosts) Running puppet to reprocvision it (poke T156651)

hashar added a comment.Feb 2 2017, 4:20 PM

I fixed the instance that lacked a proper base image for Trusty.

Did a recheck and the job ran on another slave: https://integration.wikimedia.org/ci/job/debian-glue-non-voting/613/

Looks like it is all happy and we can make it voting?

hashar added a comment.Feb 2 2017, 4:20 PM

I fixed the instance that lacked a proper base image for Trusty.

Did a recheck and the job ran on another slave: https://integration.wikimedia.org/ci/job/debian-glue-non-voting/613/

Looks like it is all happy and we can make it voting?

scfc added a comment.Feb 2 2017, 8:58 PM

[…]
Looks like it is all happy and we can make it voting?

Yes, please. Could you do the same for operations/software/tools-manifest as well, please?

Change 335696 had a related patch set uploaded (by Hashar):
[tools-webservice] debian-glue is now voting

https://gerrit.wikimedia.org/r/335696

Change 335697 had a related patch set uploaded (by Hashar):
[tools-manifest] add non voting debian-glue

https://gerrit.wikimedia.org/r/335697

Change 335696 merged by jenkins-bot:
[tools-webservice] debian-glue is now voting

https://gerrit.wikimedia.org/r/335696

Change 335697 merged by jenkins-bot:
[tools-manifest] add non voting debian-glue

https://gerrit.wikimedia.org/r/335697

Mentioned in SAL (#wikimedia-releng) [2017-02-02T21:56:00Z] <hashar> integration-slave-jessie-1001 wiping /srv/pbuilder/base-trusty-amd64.cow it was not properly provisioned causing build to fail (eg lack of /etc/hosts) Running puppet to reprocvision it (poke T156651)

tools-webservice now has a the debian-glue job voting.

For tools-manifest, I did a recheck of the last merged change https://gerrit.wikimedia.org/r/#/c/293150/ and eventually it failed with the same error due to a corrupt base-trusty-amd64.cow. I thought I fixed it, but previously I deleted the wrong directory (i386 instead of amd64). That part is fixed now.

Did another recheck, still of https://gerrit.wikimedia.org/r/#/c/293150/ and that fails: https://integration.wikimedia.org/ci/job/debian-glue-non-voting/615/console The package itself built properly:

Finished execution of /usr/bin/build-and-provide-package at Thu Feb  2 21:59:27 UTC 2017 [running 54 seconds] ***
+ exit 0

We then run lintian which complains about a few issues https://integration.wikimedia.org/ci/job/debian-glue-non-voting/615/testReport/

E: tools-manifest: extended-description-is-empty
E: tools-manifest: postrm-does-not-call-updaterc.d-for-init.d-script etc/init.d/webservicemonitor
E: tools-manifest: init.d-script-not-included-in-package etc/init.d/webservicemonitor

Which usually are easy to solve :]

hashar triaged this task as "Normal" priority.

Change 336055 had a related patch set uploaded (by Tim Landscheidt):
Correct weekday in changelog entry

https://gerrit.wikimedia.org/r/336055

Change 336056 had a related patch set uploaded (by Tim Landscheidt):
Add extended description to control

https://gerrit.wikimedia.org/r/336056

Change 336057 had a related patch set uploaded (by Tim Landscheidt):
Generate man page for collector-runner

https://gerrit.wikimedia.org/r/336057

Change 336055 merged by jenkins-bot:
Correct weekday in changelog entry

https://gerrit.wikimedia.org/r/336055

Change 336056 merged by jenkins-bot:
Add extended description to control

https://gerrit.wikimedia.org/r/336056

Change 336057 merged by jenkins-bot:
Generate man page for collector-runner

https://gerrit.wikimedia.org/r/336057

Change 336367 had a related patch set uploaded (by Tim Landscheidt):
Do not manage service with package scripts

https://gerrit.wikimedia.org/r/336367

Change 336367 merged by jenkins-bot:
Do not manage service with package scripts

https://gerrit.wikimedia.org/r/336367

Change 336369 had a related patch set uploaded (by Tim Landscheidt):
operations/software/tools-manifest: Make debian-glue voting

https://gerrit.wikimedia.org/r/336369

Change 336369 merged by jenkins-bot:
operations/software/tools-manifest: Make debian-glue voting

https://gerrit.wikimedia.org/r/336369

hashar assigned this task to scfc.Feb 7 2017, 9:22 AM

@scfc made it happen :-}

hashar closed this task as "Resolved".Feb 7 2017, 9:22 AM